.btn-group.pull-right
  button.btn.btn-primary(type='button', ng-click='syncToIDP()')
    i.fas.fa-sync(aria-hidden='true')
    |   Sync Users
  button.btn.btn-primary(type='button', ng-click='reupload()')
    i.fa.fa-upload(aria-hidden='true')
    |   Upload
  button.btn.btn-primary(data-toggle='modal', data-target='#myModal')
    i.fa.fa-plus-square(aria-hidden='true')
    |   Add
  #myModal.modal.fade(tabindex='-2', role='dialog', aria-labelledby='myLargeModalLabel', aria-hidden='true')
    .modal-dialog.modal-lg
      .modal-content
        .modal-header(style='background:#0580DC !important;color:#fff')
          button.close(type='button', data-dismiss='modal', aria-hidden='true') X
          h4#myModalLabel.modal-title Add Entry
        .modal-body
          .row
            .col-md-8
              div
                #Registration
                  form.form-horizontal(role='form')
                    .form-group
                      label.col-sm-3.control-label(for='email') Email
                      .col-sm-8
                        input#name.form-control(name='email', ng-model='email', type='email', placeholder='Email')
                    .form-group
                      input#id(name='id', ng-model='id', type='hidden')
                      label.col-sm-3.control-label(for='email') Unique Id
                      .col-sm-8
                        input#enrollment.form-control(name='unique_id', ng-model='unique_id', type='text', placeholder='Unique Id')
                    .form-group
                      label.col-sm-3.control-label(for='email') Phone
                      .col-sm-8
                        input#name.form-control(name='phone', ng-model='phone', type='text', placeholder='Phone')
                    .form-group
                      label.col-sm-3.control-label(for='email') First Name
                      .col-sm-8
                        input#name.form-control(name='firstname', ng-model='firstname', type='text', placeholder='First Name')
                    .form-group
                      label.col-sm-3.control-label(for='email') Last Name
                      .col-sm-8
                        input#name.form-control(name='lastname', ng-model='lastname', type='text', placeholder='Last Name')
                    .form-group
                      label.col-sm-3.control-label(for='email') Role
                      .col-sm-8
                        select.form-control(ng-model='role')
                          option(value='Student') Student
                          option(value='Faculty') Faculty
                          option(value='Staff') Staff
                          option(value='Admin') Admin
                    .form-group
                      label.col-sm-3.control-label(for='email') Course
                      .col-sm-8
                        input#name.form-control(name='course', ng-model='course', type='text', placeholder='Course')
                    .row
                      label.col-sm-3.control-label(for='email')
                      .col-sm-8
                        button.btn.btn-primary.btn-sm(type='button', ng-click='addNewEntry()', style='background:#0580DC !important;color:#fff') Save
                        a.btn.btn-primary.btn-sm(href='#/userManagement', style='background:#fff !important;color:#000;') Cancel
  button.btn.btn-primary(type='button', ng-click='editData()')
    i.fa.fa-pencil-square-o(aria-hidden='true')
    |   Edit
  button.btn.btn-primary(type='button', ng-click='deleteData()')
    i.fa.fa-times(aria-hidden='true')
    |   Delete
  button.btn.btn-primary(type='button', ng-click='exportExcel()')
    i.fa.fa-cloud-download(aria-hidden='true')
    |   Export
  button.btn.btn-primary(data-toggle='modal', data-target='#myAuthKeyModal', type='button')
    i.fa.fa-cloud-download(aria-hidden='true')
    |   Auth Keys
  #myAuthKeyModal.modal.fade(tabindex='-2', role='dialog', aria-labelledby='myLargeModalLabel', aria-hidden='true')
    .modal-dialog.modal-lg
      .modal-content
        .modal-header(style='background:#0580DC !important;color:#fff')
          button.close(type='button', data-dismiss='modal', aria-hidden='true') X
          h4#myModalLabel.modal-title Validation Properties
        .modal-body
          .row
            .col-md-8
              div
                #Registration
                  form.form-horizontal(role='form')
                    .form-group
                      .col-sm-10(ng-repeat='property in validationProperties')
                        label
                          input(type='checkbox', ng-model='property.value')
                          |  {{property.name}}
                      .row
                        .col-sm-10
                          button.btn.btn-primary.btn-sm(type='button', ng-click='updateValidationProperties()', style='background:#0580DC !important;color:#fff') Update
  // <button type="button" ng-click="filterData()" class="btn btn-primary"><i aria-hidden="true" class="fa fa-filter"></i>  Filter</button>
#page-content-wrapper
  .container
    table.table
      thead(bgcolor='#08BB47')
        tr
          th
            input(type='checkbox', ng-click='toggleAll()', ng-model='allSelected')
            |  All
          th(ng-repeat='(key, value) in headers') {{value.name}}
      tbody(infinite-scroll='nextPage()', infinite-scroll-distance='3', infinite-scroll-disabled='users.fees.busy')
        tr
          td
          td(ng-repeat='(key, value) in headers')
            input(type='text', ng-model='users.fees[value.mappingKey]', my-enter='users.search()')
        tr(ng-repeat='(pos, user) in users.fees.data')
          td
            input(type='checkbox', ng-model='formData.checkboxes[pos]')
          td(ng-repeat='(key, value) in headers') {{user[value.mappingKey]}}
